/******************
    User custom CSS
    ---------------

    In this file you can add your own custom CSS
    It will be loaded last, so you can override any other property.
    Also, it will never be updated. So if you inheritate a core template and just add here some CSS, you'll still benefit of all the updates
*/

body {
    background-color: #fff;
    background-image: url('../files/science-europe-logo.png');
    background-attachment: fixed;
    background-size: calc(100vh * 0.8);
    background-repeat: no-repeat;
    background-position: top calc(100vh * 0.05) right -15rem
}

.top-container .progress {
    margin: 4em 0 2em;
    border-radius: 0;
}

.progress-bar {
    background-color: #18d672;
    color: #111;
}

body .top-container {
    margin-top: 0 !important;
}

a {
  color: inherit;
  text-decoration: underline;
  text-decoration-skip-ink: auto;
}

a:hover {
  color: #18d672;
}

.upload-button a {
  text-decoration: none;
}

b i, strong i {
  font-weight: 400;
}

.btn:disabled:hover {
    background-color: #00ad51;
}

.space-col {
    margin-top: 0;
    margin-bottom: 0;
}

#outerframeContainer {
    hyphens: none;
    background-color: transparent;
    padding-left: 3em;
    padding-right: 3em;
    margin-top: 2em;
}

.navbar-default {
    background-color: #fff;
}

.navbar-default {
    border-bottom: 0;
}

.navbar-default .navbar-nav > li > a {
    color: #111;
    margin-right: 2em;
}

.navbar-default .navbar-nav > li > a:hover {
    color: #18d672;
}

.survey-name {
    color: #111;
    font-weight: 700;
    padding-top: 0;
    text-align: left;
}

.alert-warning {
    border-radius: 0;
    color: #111;
    border-color: #f44;
    background-color: #fee;
}

.group-outer-container {
    position: relative;
}

.group-container::before {
    content: '';
    display: block;
    z-index: -1;
    background-color: #ebecec;
    position: absolute;
    top: 13em;
    left: -99em;
    right: 10em;
    bottom: 7em;
}


.group-title::before, .survey-name::before, .completed-text h1::before {
  content: '';
  display: block;
  border-bottom: 2px solid #18d672;
  position: absolute;
  bottom: 0;
  left: -2em;
  width: 2em;
}

.group-title, .survey-name, .completed-text h1 {
    font-weight: 700;
    color: #fff;
    margin-bottom: 30px;
    text-align: left;
    font-size: 4.5em;
    text-transform: uppercase;
    text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
    position: relative;
    -ms-hyphens: none;
        hyphens: none;
}

.group-title {
    color: #333;
    font-size: 2.5em;
    text-transform: initial;
    text-shadow: none;
}

.survey-description, .group-description {
    font-size: 1em;
    background-color: #b8e5f3;
    border: none;
    box-shadow: none;
    border-radius: 0;
    margin: 2em 0 2em -99em;
    padding: 2em 2em 1.5em 99em;
    text-align: left;
    color: #111;
}

.question-container {
    padding-left: 1.5em;
    padding-right: 1.5em;
    background-color: #fff;
    border: 1px solid #a4b1b7; 
}

.question-title-container {
    padding-bottom: 0.25em;
}

.asterisk {
    margin-left: -1.5em;
}

.fa-asterisk, .text-danger {
    color: #f44;
}

.fa-asterisk, .fa-exclamation-circle {
    margin-right: 0.5em;
}

.ls-questionhelp {
  color: #111;
  font-style: italic;
}

.dir-ltr .ls-questionhelp {
    margin-left: 1.7em;
}

.dir-ltr .ls-questionhelp::before {
    left: -1.6em;
}

.subquestion-list {
    margin-bottom: 1em;
}

.subquestion-list::after {
    content: "";
    display: table;
    clear: both;
}

.survey-description img {
    margin: 1em auto;
}

.question-count-text {
    margin-top: 2em;
}

.question-help-container {
    margin-bottom: 1em;
}

.ls-question-help {
    font-style: italic;
    color: #111;
}

.question-number {
    margin-left: 0;
    margin-right: 0.5em;
}

.btn-default {
    border-radius: 0;
    border: 1px solid #a4b1b7;
}

.btn-primary {
    background-color: #333;
    color: #fff;
    text-transform: uppercase;
    border-radius: 0;
    border: 0;
}

.btn-primary:hover, .btn-primary:focus, .btn-primary.active, .btn-primary.active:hover  {
    background-color: #18d672;
    color: #fff;
}

.yesno-button label {
  margin: 5px 0 2px;
}

.yesno-button .button-item:first-child {
    color: #18d672;
}

.yesno-button .button-item:nth-child(2) {
    border-left: 5px solid #fff;
    color: #f44;
}

.yesno-button .button-item:nth-child(3) {
    border-left: 5px solid #fff;
    color: #fff;
}

.yesno-button .button-item.active {
    background-color: #18d672;
    color: #fff;
}

.yesno-button .button-item:not(.active):hover {
    background-color: #18d672;
    color: #111;
}

.yesno-button .btn.active:hover {
    cursor: default;
}

.checkbox-item label::before {
  border-radius: 0;
}

.checkbox-item label::before:checked {
  border: 1px solid #f00;
  background-color: var(--color-accent-1) !important;
  color: #111 !important;
}

.checkbox-item label::after {
    top: 0; left: 0;
    width: 17px; height: 17px;
    line-height: 1.25;
    background-color: #fff;
    color: #18d672;
    border: 2px solid #18d672;
    padding: 0 0 0 1.5px;
}

.checkbox-item label::before, .radio-item label::before, .form-control {
    border-color: #777;
}

.radio-item label::after {
    background-color: #18d672;
}

.navbar-header {
    display: flex;
}

.navbar-default .navbar-brand:not(.logo-container) {
    display: flex;
    align-items: center;
    color: #111;
    font-size: 1.5em;
    font-weight: 700;
}

.logo-container img {
  max-height: 90px;
  min-width: 160px;
  width: auto;
  padding: 15px;
}

li.question-item.answer-item.text-item.form-group::after {
  display: table;
  content: "";
  clear: both;
}

li.question-item.answer-item.text-item.form-group label {
    padding-top: 0.5em;
}

li.question-item.answer-item.text-item.form-group {
    margin-bottom: 0.25em;
}

.sortable-rank li {
    background-color: #18d672;
    color: #111;
}

.sortable-list {
    min-height: 12em !important;          /* Override min-height: 0px on the element itself */
    background-color: #fff;
}    

.navbar-action-link {
    height: 90px;
    display: flex;
    align-items: center;
}

.url-wrapper-survey-return {
    text-align: center;
    margin-bottom: 20px;
}

h2 {
    font-size: 24px;
}

h3 {
    font-size: 18px;
    font-weight: 700;
    text-transform: uppercase;
}

em {
    font-weight: 300;
}

.navbar {
    display: flex;
    justify-content: space-between;
}

.navbar:before, .navbar:after {
    display: none;
}

.privacy .limit-text-window, .info-box {
    border: 1px solid #e7e7e7;
    background-color: #f8f8f8;
    margin-bottom: 1em;
    padding: 0 1em 1em;
    max-height: initial;
    text-align: left;
}

.privacy .limit-text-window h1, .info-box h1 {
    font-size: 1.5em;
    margin: 0.75em 0;
    border-bottom: 1px solid #d6d6d6;
}

.privacy .limit-text-window li, .info-box li {
    margin: 0.75em 0;
}

.privacy .limit-text-window>*, .info-box>* {
    max-width: 60rem;
}

.multiple-opt .answer-container + .question-help-container {
    margin-top: -1.5em;
}

span.sq-timestamp {
    display: inline-block;
    margin-right: 0.5em;
    font-size: 13px;
    font-weight: bold;
}

.yesno-button .button-item.inactive {
    color: #777;
}

.group-title+.mandatory-notice {
    margin-top: 2em;
}

.mandatory-notice {
    font-size: 0.9em;
    font-weight: 300;
    font-style: italic;
    margin: 0 1.3em 0.5em;
}

.mandatory-notice .fa-asterisk::before {
    font-size: 0.9em;
    color: #f44;
}

.no-background {
    border: none;
    background-color: transparent;
}

.no-background .question-title-container {
    padding: 0;
}

.event-time {
    display: inline-block;
    width: 6em;
    margin-right: 0.5em;
    font-size: 0.9em;
    font-weight: 700;
}

i {
    font-weight: 300;
}

img {
    display: block;
    max-width: 100%;
}

.table-bordered {
    border: 1px solid #b8e5f3;
}

.table-array-radio .ls-heading, .table-10-point-array .ls-heading {
    background-color: #f3f6fc;
}

.table-bordered > thead > tr > th, .table-bordered > tbody > tr > th, .table-bordered > tfoot > tr > th, 
.table-bordered > thead > tr > td, .table-bordered > tbody > tr > td, .table-bordered > tfoot > tr > td {
    border: 1px solid #b8e5f3;
}

.table-array-radio.table-bordered, .table-array-radio.table-bordered th, .table-array-radio.table-bordered td,
.table-10-point-array.table-bordered, .table-10-point-array.table-bordered th, .table-10-point-array.table-bordered td, {
    border: 0;
}

.table-array-radio.table-bordered tr+tr, .table-10-point-array.table-bordered tr+tr {
    border-top: 1px solid #b8e5f3;
}

.table-array-radio.table-bordered > thead > tr > th, .table-array-radio.table-bordered > thead > tr > td,
.table-10-point-array.table-bordered > thead > tr > th, .table-10-point-array.table-bordered > thead > tr > td {
    border-color: #b8e5f3;
}

.table-array-radio .ls-odd, .table-10-point-array .ls-odd, .table-bordered tbody td:first-child, .table-bordered tbody th:first-child {
    background-color: #ecf8fc;
}

.array-noanswer td:last-child {
    background-color: #eee;
    background-clip: padding-box;
} 

.array-noanswer th:last-child {
    font-style: italic;
    color: #555;
}

.array-rankheader tr:nth-child(1), .array-rankheader tr:nth-child(1):hover {
    background-color: #006390;
}

.array-rankheader .table > tbody > tr:not(:first-child) > th {
    padding-left: 1em;
}

.array-rankheader tr:nth-child(1) th {
    font-weight: bold;
    color: #fff;
}

.array-rankheader .table-bordered > tbody > tr:first-child > th, .array-rankheader .table-bordered > tbody > tr:first-child > td {
    border: 1px solid rgba(255,255,255,0.25);
}

.array-alignleft .ls-answers tbody .answertext {
    text-align: left;
}

.attach-to-previous {
    margin-top: -30px;
    padding-top: 10px;
    border-top: 0;
}

.ls-answers label {
    font-weight: 300;
}

.answer-dateinfo {
  font-size: 13px;
  font-weight: 700;
}

.answer-extrainfo {
  font-size: 13px;
  font-style: italic;
}

.dual-multi-short-txt .ls-answers li:nth-child(even).question-item.answer-item.text-item.form-group {
  margin-bottom: 1em;
}

.dual-multi-short-txt .ls-answers li:nth-child(even) label {
  font-size: 0.9em;
}

.dual-multi-short-txt .ls-answers li:nth-child(odd) label {
  font-weight: bold;
}

.dual-multi-short-txt .ls-answers li:nth-child(odd) textarea.form-control {
  font-weight: bold;
  height: 2.5em;
  resize: none;
}

.label-alignright label {
  text-align: right;
  padding-right: 0;
}

.no-answer-spacing .ls-answers {
  padding-top: 0;
}

.no-answer-spacing .question-title-container {
  padding-bottom: 5px;
}

.no-answer-spacing .question-title-container p {
  margin-bottom: 0;
}

.no-margin-bottom {
    margin-bottom: 0;
}

.fa-calendar::before {
    color: #fff;
}

.fa-calendar:hover::before {
    color: #bee3ea;
}

.input-group-addon {
    border-color: #777;
}

#welcome-container\ ~ .group-outer-container .group-title {
   text-shadow: none;
   color: #111;
   text-transform: none;
   font-size: 2.5em;
}

#welcome-container\ ~ .group-outer-container .group-title::before {
    display: none;
}

#welcome-container\ ~ .group-outer-container .group-description {
    margin-left: 0;
    padding-left: 2em;
}

.list-unstyled {
    margin-bottom: 0;
}

.list-unstyled li:last-child {
    margin-bottom: 0;
}

.blue-inset {
    background-color: #b8e5f3;
    margin: 2em 0 2em -99em;
    padding: 2em 2em 1.5em 99em;
}

.text-primary {color: initial;}
.h4 {font-size: 1em;}
ol li {margin-bottom: 0.25em;}

.sdg-multi li.answer-item:first-child {
  flex-basis: 100%;
}

.multiple-opt-images .list-unstyled {
  display: flex;
  flex-wrap: wrap;
}

.multiple-opt-images label {
  text-align: center;
}

.multiple-opt-images .checkbox-item label::after {
  padding-left: 0;
}

.multiple-opt-images input + label img {
    padding-bottom: 4px;
}

.multiple-opt-images input:checked + label img {
  border: 2px solid #18d672;
  padding: 2px;
}  

.multiple-opt-images img {
  margin-bottom: 0.5em;
}

.multiple-opt-six li {
  width: 11em;
  margin-right: 1em;
}

.multiple-opt-two li {
    width: 45%;
    margin-right: 1em;
}

.question-code {
    color: #18d672;
    font-weight: bold;
}

.question-code::after {
		content: "–";
}

div[id^="question"].boilerplate:not(.boilerplate-default) {
  background-color: #b8e5f3;
  margin: 2em 0 2em -99em;
  padding: 0 2em 1.5em 99em;
  border: none;
}

.mla-proposal {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

.mla-proposal img {
  flex-shrink: 0;
  width: 50%;
  min-width: 300px;
  margin: 0 auto;
}

.mw-60r {
    max-width: 60rem;
}

.plus-button {
  display: inline-block;
  margin: 0 0 1em 1em;
  padding: 0.5em;
  background-color: #333;
  cursor: pointer;
  color: #fefefe;
}

.plus-button:hover {
  background-color: #18d672;
  color: #111;
}

.multi-row .ls-answers ul {
  display: flex;
  flex-wrap: wrap;
}

.multi-row .ls-answers li {
  flex-shrink: 0;
  margin-right: 0;
  padding-right: 3em;
}

.multi-row-3 .ls-answers ul li {
  flex-basis: 33%;
}

.multi-row-other .ls-answers li:last-child {
    margin-top: -7px;
}

/* Reset text-alignment on labels */
.form-horizontal .control-label {
    text-align: left;
}

/* Change styling of group headers in single-page layout */
#welcome-container ~ div[id^=group-] .group-title {
    font-size: 3em;
    color: #555;
    text-shadow: initial;
    text-transform: initial;
}

#welcome-container ~ div[id^=group-] .group-title::before {
    display: none;
}

:is(strong, b) :is(em, i), :is(em, i) :is(strong, b) {
    font-weight: bold;
    font-style: italic;
}

/* Set a slight background color on a question to set it apart */
.question-highlight {
    background-color: #f7f7f7;
}

/* Style a subheader-row in an Array question */
.subheader-row th {
    background-color: #f3f6fc !important;
    font-weight: bold;
    font-size: 0.95em;
    text-transform: uppercase;
}

/* Gradient for Comms Conference registration */
.comms-gradient {
    font-weight: 700;
    color: #fff;
    background: rgb(206,186,0);
    background: linear-gradient(120deg, hsl(198deg 100% 28%) 20%, hsl(54deg 100% 40%) 100%);
}